#
# spec file for package tkdesk (Version 1.0)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  tcl tk

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         tkdesk
Release:      0
Copyright:    Christian Bolik
Group: 
Provides:     tkdesk 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      1.0
Summary:      TkDesk - an ultra comfortable graphical file/desktop manager
Source: tkdesk-1.0.tar.gz
Patch: tkdesk-1.0.dif
%description
TkDesk is a graphical desktop and file manager for UNIX (especially
Linux) and the X Window System.  Compared with other file managers
available, it offers the most complete set of file operations and
services, plus gives the user the ability to configure most aspects of
TkDesk in a powerful way.  The reason for this is the use of Tcl/Tk as
the configuration and (for the greatest part of TkDesk) implementation
language. TkDesk has been influenced by various other systems and file
managers: NeXT, for laying out the file browser windows, Apple Finder,
for the idea of file annotations and, (shock horror), Windows 95, for
some other (of course minor and unimportant ;-)) inspirations.
This is a brief overview of the most prominent features of TkDesk:
o Arbitrary number of automatically refreshed file browsers and file
list windows,
o Configurable file-specific pop-up-menus,
o Drag and drop,
o Files and directories may also be dropped onto the root window,
o Configurable application bar, with several displays and cascadable
pop-up menus for each button, files can also be dropped here,
o History of visited directories, opened files, executed commands,
and others, which is automatically saved to disk,
o Find files through their annotation, name, contents, size or age,
o Trash can for safe deletion of files and directories,
o Calculation of disk usage for directory hierarchies,
o All file operations (find, copy, disk usage, etc.) are carried out
in the background,
o Traversal of directory hierarchies through recursive cascaded
menus, 
o Bookmarks, create menu entries for often used files/directories,
o Comprehensive hypertextish online help,
o Built-in multi-buffer and undo-capable editor,
o Close coupling with Netscape and XEmacs,
o Sound support,
o Powerful configuration of nearly all aspect of TkDesk through
Tcl/Tk, this also allows the Tcl-literate to extend TkDesk in
arbitrary ways,
o Free of charge! But see the file COPYING, or menu entry
Help/License for information on usage and redistribution of TkDesk.

Authors:
--------
    Christian Bolik <zzhibol@rrzn-user.uni-hannover.de>

%prep
%setup -n tkdesk-1.0
%patch
%build
# dummy Variable
export DISPLAY=noname:0.0
make -f Makefile.Linux compile
%install
export DISPLAY=noname:0.0
make -f Makefile.Linux install
Check
%files
/usr/X11R6/lib/TkDesk
/usr/X11R6/bin/tkdesksh
/usr/X11R6/bin/tkdesk
/usr/X11R6/bin/pauseme
/usr/X11R6/bin/ed-tkdesk
/usr/X11R6/bin/cd-tkdesk
/usr/X11R6/bin/od-tkdesk
/usr/X11R6/bin/op-tkdesk
/usr/X11R6/bin/pop-tkdesk
/usr/X11R6/bin/tkdeskclient
/usr/X11R6/man/man1/tkdesk.1.gz
/usr/X11R6/man/man1/cd-tkdesk.1.gz
/usr/X11R6/man/man1/ed-tkdesk.1.gz
/usr/X11R6/man/man1/od-tkdesk.1.gz
%doc /usr/doc/packages/tkdesk

